Reference data
Operation
Reference data is available in the Covage API. It is updated regularly and allows you to retrieve the information
you need to interact with the API.
Projects
Projects are ongoing projects that you may have with Covage's sales teams. This endpoint allows you to list them and
retrieve information.
GET /api/v1/referential/project
Parameters
| Name |
Type |
Description |
Required |
| code |
string |
Project code |
No |
| active |
boolean |
If the project is active |
No |
Response
| Name |
Type |
Description |
| code |
string |
Project code |
| active |
boolean |
Indicates whether the project is active |
| start_date |
string |
Project start date |
| end_date |
string |
Project end date |
The code must be sent when placing the order.
Example
{
"code": "FLASH",
"active": true,
"start_date": "2000-01-01",
"end_date": "2099-12-31",
"code_client": "DC999"
}
Enni
Enni represent the list of collection doors you own. This endpoint allows you to list them and obtain more information about them.
GET /api/v1/referential/enni/
Parameters
| Name |
Type |
Description |
Required |
| reference |
string |
Door reference |
No |
| name |
string |
Customer name |
No |
| short_name |
string |
Customer identifier in Covage tools |
No |
| active |
boolean |
Indicates whether the collection door is active |
No |
| offer |
string |
Offer type (BPE/BPEA) |
No |
| dsp |
string |
DSP |
No |
| delivery_mode |
string |
Delivery mode |
No |
Example
GET /api/v1/referential/enni?offer=BPEA&reference=CN001366
Response
| Name |
Type |
Description |
| Code |
string |
Door code |
| name |
string |
Customer name |
| short_name |
string |
Customer identifier in Covage tools |
| reference |
string |
Door reference |
| label |
string |
Door name |
| offer |
string |
Offer type (BPE/BPEA) |
| dsp |
string |
DSP |
| delivery_mode |
string |
Delivery mode |
| active |
boolean |
Indicates whether the collection door is active |
The reference must be sent when placing the order.
{
"code": "720",
"name": "client",
"short_name": "DC123",
"reference": "CN012345",
"label": "Collecte Nationale Entreprise",
"offer": "BPEA",
"dsp": "OXO",
"delivery_mode": "National",
"active": true
}
Business
Business are ongoing business that you may have with Covage's sales teams. This endpoint allows you to
list them and retrieve information.
GET /api/v1/referential/business_code
Response
| Name |
Type |
Description |
| code |
string |
Business code |
| label |
string |
Business label |
| modification_date |
string |
Business modification date |
| validity_end_date |
string |
Business expiry date |
| status |
number |
Businees status number |
The code should be sent when placing your order or when collecting your catalogue.
Example
{
"modification_date": "2022-01-14T13:57:04Z",
"code": "AFAUX01234567890",
"label": "Affaire [Name client]-[Enseigne]"
}
List of billing sites
GET /api/v1/referential/billing_site/
Request parameters
| Name |
Type |
Description |
Required |
network_plate |
string |
Filter by network plate (e.g. AUX) |
Yes |
Response
| Name |
Type |
Description |
code |
string |
Billing site code |
description |
string |
Billing site label |
is_default |
boolean |
Whether this is the default billing site |
Example
[
{
"code": "AUX00",
"description": "COVAGE INFRA",
"is_default": true
}
]
Detail of a billing site
GET /api/v1/referential/billing_site/{site_code}/
Request parameters
| Name |
Type |
Description |
Required |
| site_code |
string |
Billing site code |
Yes |
Response
| Name |
Type |
Description |
| code |
string |
Code du site |
| description |
string |
Description du site |
Example
{
"code": "AUX00",
"description": "COVAGE INFRA",
}
List of reasons for termination requests
GET /api/v1/referential/terminate_reason/
Response
| Name |
Type |
Description |
| terminate_reasons |
list |
Reason for termination |
The reason must be sent when requesting cancellation on the POST api/v1/order/{order_reference}/terminate/.
Example
{
"terminate_reasons": [
"Cessation d'activité",
"Changement d'Operateur d'Infrastructure",
"Déménagement sans reprise de lien COVAGE",
"Déménagement avec reprise de lien COVAGE",
"Autres motifs, précisez en commentaire"
]
}
List of reasons for modification requests
GET /api/v1/referential/change_reason/
Response
| Name |
Type |
Description |
| change_reasons |
list |
Reason for change |
The reason must be sent when requesting a change on the POST api/v1/order/{order_reference}/change/.
Example
{
"change_reasons": [
"Upgrade (Changement de débit)",
"Downgrade (Changement de débit)",
"Modification de Porte de Collecte (principale et/ou sécurisation)",
"Modification des options du service (ajout, suppression, modification)",
"Autres demandes de modifications"
]
}
List of available site types
GET /api/v1/referential/site_connection/
Response
| Name |
Type |
Description |
| available_site_connection_types |
list |
Site type |
The site must be entered in the site_connection_type field of a QuoteItem.
Example
{
"available_site_connection_types": [
"Standard ou No-catégorisé",
"Centre commercial",
"Datacenter",
"Zone d'activité ZA",
"Aéroport",
"Zone maritime",
"Centre de santé ou hôpital",
"Etablissement haute sécurité",
"Etablissement patrimoine",
"Prison",
"Cimetière"
]
}